#ifndef _PLUGIN_H
#define _PLUGIN_H
extern char msg[1024];

extern bool IsAlive(edict_t *pEdict);
extern bool UTIL_IsBuilt(edict_t *pent);

extern void MedArmorySpawn(edict_t *pEntity);
extern void MedArmoryThink(edict_t *pMedArmory);
extern void MedArmoryUse(edict_t *pMedArmory, edict_t *pPlayer);


inline unsigned short FixedUnsigned16( float value, float scale )
{
	int output;
	
	output = (int)(value * scale);
	if ( output < 0 )
		output = 0;
	if ( output > 0xFFFF )
		output = 0xFFFF;
	
	return (unsigned short)output;
}

inline short FixedSigned16( float value, float scale )
{
	int output;
	
	output = (int)(value * scale);
	
	if ( output > 32767 )
		output = 32767;
	
	if ( output < -32768 )
		output = -32768;
	
	return (short)output;
}

inline void SAFE_USER_MSG(int &gmsgvar, const char *szMsgName, const int &iSize) {
	if(gmsgvar == 0) 
	{
		//attempt to get the msg from the game that's running
		gmsgvar = GET_USER_MSG_ID( &Plugin_info, szMsgName, NULL);
		
		//and if that fails, register it ourselves
		if(gmsgvar == 0) gmsgvar = REG_USER_MSG(szMsgName, iSize);
	}
}

#endif

